From d6ec65d1f9e766a233288a8ecec62ca757ed11f7 Mon Sep 17 00:00:00 2001
From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>
Date: Wed, 26 Apr 2017 15:48:49 +0200
Subject: [PATCH 01/11] x86 machine compat: 2.9 stragglers

RH-Author: Dr. David Alan Gilbert <dgilbert@redhat.com>
Message-id: <20170426154849.7273-1-dgilbert@redhat.com>
Patchwork-id: 74894
O-Subject: [RHEL-7.4 qemu-kvm-rhev PATCH v2] x86 machine compat: 2.9 stragglers
Bugzilla: 1435756
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
RH-Acked-by: Juan Quintela <quintela@redhat.com>
RH-Acked-by: Markus Armbruster <armbru@redhat.com>

From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>

upstream: Yes, various diffs

Some flag changes came in late in 2.9 and we hadn't picked them up yet

Signed-off-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 include/hw/compat.h  |  4 ++++
 include/hw/i386/pc.h | 19 +++++++++++++++++--
 2 files changed, 21 insertions(+), 2 deletions(-)

diff --git a/include/hw/compat.h b/include/hw/compat.h
index b0c57ec..f85c1c2 100644
--- a/include/hw/compat.h
+++ b/include/hw/compat.h
@@ -297,6 +297,10 @@
             .driver   = "virtio-pci",\
             .property = "page-per-vq",\
             .value    = "on",\
+        },{ /* HW_COMPAT_RHEL7_2 from HW_COMPAT_2_4 added in 2.9 */ \
+            .driver   = "vmgenid",\
+            .property = "x-write-pointer-available",\
+            .value    = "off",\
         },
 
 /* Mostly like HW_COMPAT_2_6 + HW_COMPAT_2_7 + HW_COMPAT_2_8 except
diff --git a/include/hw/i386/pc.h b/include/hw/i386/pc.h
index 7cd1719..62ac914 100644
--- a/include/hw/i386/pc.h
+++ b/include/hw/i386/pc.h
@@ -998,7 +998,7 @@ extern void igd_passthrough_isa_bridge_create(PCIBus *bus, uint16_t gpu_dev_id);
 
 #define PC_RHEL7_3_COMPAT \
         HW_COMPAT_RHEL7_3 \
-        { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_7 */ \
+        { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_8 */ \
              .driver   = "kvmclock",\
              .property = "x-mach-use-reliable-get-clock",\
              .value    = "off",\
@@ -1038,7 +1038,22 @@ extern void igd_passthrough_isa_bridge_create(PCIBus *bus, uint16_t gpu_dev_id);
             .property = "cpuid-0xb",\
             .value    = "off",\
         },\
-        { /* PC_RHEL7_3_COMPAT */ \
+        { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_8 */ \
+            .driver   = "ICH9-LPC",\
+            .property = "x-smi-broadcast",\
+            .value    = "off",\
+        },\
+        { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_8 */ \
+            .driver   = TYPE_X86_CPU,\
+            .property = "vmware-cpuid-freq",\
+            .value    = "off",\
+        },\
+        { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_8 */ \
+            .driver   = "Haswell-" TYPE_X86_CPU,\
+            .property = "stepping",\
+            .value    = "1",\
+        },\
+        { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_3 added in 2.9 */ \
             .driver = TYPE_X86_CPU,\
             .property = "kvm-no-smi-migration",\
             .value    = "on",\
-- 
1.8.3.1

